It has been reported that “L2TP over IPsec” dial-in VPN does not work after upgrading Apple devices to iOS14.

This is due to iOS14 applying SHA2 in IKE Phase 2.
This issue will occur with older router models such as  Vigor2920 / 2830 or older firmware versions which do not support SHA2.
When you encounter this issue try upgrading the firmware to the latest release.

Most  recent router models now have updated firmware to support this feature.

For older router models which are now End of Life, it is recommended to update to the latest model

To check if  check  if SHA256 is supported in your router go to IKE advance setting menu in a LAN to LAN profile configure page.